(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     12470,        272]
NotebookOptionsPosition[     11639,        250]
NotebookOutlinePosition[     12107,        268]
CellTagsIndexPosition[     12064,        265]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.815307560872032*^9, 3.8153075642667866`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"c6148f89-fa13-4af9-aa4e-e998e47b1efa"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"A", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "2"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", "A", "]"}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"A", ",", 
   RowBox[{"colores", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.819971575312625*^9, 3.819971578852971*^9}, {
  3.819971634653981*^9, 3.81997181782432*^9}, {3.819971856732298*^9, 
  3.819971883708958*^9}, {3.819973668387988*^9, 3.8199736687285995`*^9}, {
  3.8199740051705475`*^9, 3.8199740442560716`*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"a93177fa-42c1-4d67-a447-f9877b22ddd2"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.819971936487461*^9, 3.819973669730904*^9, {3.819974015726595*^9, 
   3.8199740454948845`*^9}, 3.8199746982433662`*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"ccc0197f-0370-4133-b98b-185dfbb46951"],

Cell[BoxData[
 GraphicsBox[{CircleBox[{1., 0}, 0.21213203435596426], 
   CircleBox[{1., 0}, 0.1414213562373095], InsetBox[
    SubscriptBox["\[Sigma]", "0"], {1., 0}], 
   PolygonBox[{{0.08801185074263757, 0.7382875760539633}, {
    0.10604764547461185`, 0.8162776636081202}, {0.1645711451738971, 
    0.7616631634157105}}], 
   CircleBox[{1.0762292852550082, 1.076258263417977}, 1.0044114328523306, {
    3.40341244150172, 4.450609992698317}], 
   InsetBox["\<\"b\"\>", {0.3660176388248698, 0.36601763960132694}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.29698484809835, 0.}, 0.10606601717798213, {-2.617993877991494,
     2.6179938779914944`}], 
   PolygonBox[{{1.2410009295046958`, -0.1396355489674349}, {
    1.2051289827439808`, -0.0530330085889911}, {
    1.2980649561243383`, -0.06526826160023091}}], 
   InsetBox["\<\"a\"\>", {1.29698484809835, -0.10606601717798213}, 
    ImageScaled[{0, 1}]], CircleBox[{0, 1.}, 0.21213203435596426], InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0, 1.}], 
   PolygonBox[{{-0.7617488916634465, 
    0.1645007806798614}, {-0.8162882692912616, 
    0.10606601717798213`}, {-0.738412590820591, 0.0880509123966412}}], 
   CircleBox[{-1.0762476558977185, 1.0762476558977183}, 1.0044059412377637, {
    4.97408836818384, 6.021285919380437}], 
   InsetBox["\<\"a\"\>", {-0.36609642956064237, 0.3659543851104575}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.0768796779653841, 1.2868614911694123}, 
    0.10606601717798213, {-1.3090469389957464`, 3.926940816987242}], 
   PolygonBox[{{0.14020273746253226`, 1.2710089600912342`}, {
    0.10432646061964014`, 1.1844082134183807`}, {0.19726304564647806`, 
    1.1966388196156594`}}], 
   InsetBox["\<\"b\"\>", {0.1793302105258885, 1.2594044633246322}, 
    ImageScaled[{0, 1}]], CircleBox[{-1., 0}, 0.21213203435596426], InsetBox[
    SubscriptBox["\[Sigma]", "2"], {-1., 0}], 
   PolygonBox[{{-0.26170123872725054`, 
    0.9119713118684198}, {-0.1837117307087384, 
    0.893933982822018}, {-0.23832726988859748`, 0.8354117521725373}}], 
   CircleBox[{0.07624765589771844, -0.07624765589771831}, 1.004405941237764, {
    1.8325957145940461`, 2.8797932657906435`}], 
   InsetBox["\<\"b\"\>", {-0.6339745962155614, 0.6339745962155616}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{-0.16458920719081813`, -0.761674078842779}, \
{-0.10606601717798209`, -0.8162882692912616}, {-0.08803033584889278, \
-0.7382986048054007}}], 
   CircleBox[{-1.0762370502145768, -1.0762660276010887}, 1.0044004520902492, {
    0.26181978868158695`, 1.3090173398781846`}], 
   InsetBox["\<\"a\"\>", {-0.36603316874400726, -0.3660331679675499}, 
    ImageScaled[{1, 1}]], CircleBox[{0, -1.}, 0.21213203435596426], 
   CircleBox[{0, -1.}, 0.1414213562373095], InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0, -1.}], 
   PolygonBox[{{0.7382987612727496, -0.08802868813158016}, {
    0.8162882692912616, -0.10606601717798207`}, {
    0.7616727301114026, -0.16458824782746273`}}], 
   CircleBox[{1.0762476558977185, -1.0762476558977183}, 1.004405941237764, {
    1.8325957145940461`, 2.8797932657906435`}], 
   InsetBox["\<\"b\"\>", {0.3660254037844387, -0.3660254037844384}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{-0.9119881492573625, -0.26171242394603667`}, \
{-0.8939523545253881, -0.1837223363918798}, {-0.8354288548261029, \
-0.2383368365842895}}], 
   CircleBox[{0.07622928525500816, 0.07625826341797694}, 1.0044114328523306, {
    3.40341244150172, 4.450609992698317}], 
   InsetBox["\<\"a\"\>", {-0.6339823611751302, -0.6339823603986731}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{-1., 0.4242640687119285}, {-1., 0.21213203435596426`}}], 
    PolygonBox[{{-1., 0.21213203435596426`}, {-1.0707106781186548`, 
     0.31819805153394637`}, {-0.9292893218813453, 0.31819805153394637`}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{
  3.819971936487461*^9, 3.819973669730904*^9, {3.819974015726595*^9, 
   3.8199740454948845`*^9}, 3.819974698246373*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"5d700215-1c31-4198-b6e3-87fa85fbde9f"],

Cell[BoxData[
 GraphicsBox[{
   {Hue[0., 0.8, 0.8], CircleBox[{1., 0}, 0.21213203435596426], 
    CircleBox[{1., 0}, 0.1414213562373095], InsetBox[
     SubscriptBox["\[Sigma]", "0"], {1., 0}], 
    PolygonBox[{{0.08801185074263757, 0.7382875760539633}, {
     0.10604764547461185`, 0.8162776636081202}, {0.1645711451738971, 
     0.7616631634157105}}], 
    CircleBox[{1.0762292852550082, 1.076258263417977}, 1.0044114328523306, {
     3.40341244150172, 4.450609992698317}], 
    InsetBox["\<\"b\"\>", {0.3660176388248698, 0.36601763960132694}, 
     ImageScaled[{1, 1}]], 
    CircleBox[{1.29698484809835, 0.}, 
     0.10606601717798213, {-2.617993877991494, 2.6179938779914944`}], 
    PolygonBox[{{1.2410009295046958`, -0.1396355489674349}, {
     1.2051289827439808`, -0.0530330085889911}, {
     1.2980649561243383`, -0.06526826160023091}}], 
    InsetBox["\<\"a\"\>", {1.29698484809835, -0.10606601717798213}, 
     ImageScaled[{0, 1}]]}, 
   {Hue[0.25, 0.8, 0.8], CircleBox[{0, 1.}, 0.21213203435596426], InsetBox[
     SubscriptBox["\[Sigma]", "1"], {0, 1.}], 
    PolygonBox[{{-0.7617488916634465, 
     0.1645007806798614}, {-0.8162882692912616, 
     0.10606601717798213`}, {-0.738412590820591, 0.0880509123966412}}], 
    CircleBox[{-1.0762476558977185, 1.0762476558977183}, 1.0044059412377637, {
     4.97408836818384, 6.021285919380437}], 
    InsetBox["\<\"a\"\>", {-0.36609642956064237, 0.3659543851104575}, 
     ImageScaled[{1, 1}]], 
    CircleBox[{0.0768796779653841, 1.2868614911694123}, 
     0.10606601717798213, {-1.3090469389957464`, 3.926940816987242}], 
    PolygonBox[{{0.14020273746253226`, 1.2710089600912342`}, {
     0.10432646061964014`, 1.1844082134183807`}, {0.19726304564647806`, 
     1.1966388196156594`}}], 
    InsetBox["\<\"b\"\>", {0.1793302105258885, 1.2594044633246322}, 
     ImageScaled[{0, 1}]]}, 
   {Hue[0.5, 0.8, 0.8], CircleBox[{-1., 0}, 0.21213203435596426], InsetBox[
     SubscriptBox["\[Sigma]", "2"], {-1., 0}], 
    PolygonBox[{{-0.26170123872725054`, 
     0.9119713118684198}, {-0.1837117307087384, 
     0.893933982822018}, {-0.23832726988859748`, 0.8354117521725373}}], 
    CircleBox[{0.07624765589771844, -0.07624765589771831}, 
     1.004405941237764, {1.8325957145940461`, 2.8797932657906435`}], 
    InsetBox["\<\"b\"\>", {-0.6339745962155614, 0.6339745962155616}, 
     ImageScaled[{1, 1}]], 
    PolygonBox[{{-0.16458920719081813`, -0.761674078842779}, \
{-0.10606601717798209`, -0.8162882692912616}, {-0.08803033584889278, \
-0.7382986048054007}}], 
    CircleBox[{-1.0762370502145768, -1.0762660276010887}, 
     1.0044004520902492, {0.26181978868158695`, 1.3090173398781846`}], 
    InsetBox["\<\"a\"\>", {-0.36603316874400726, -0.3660331679675499}, 
     ImageScaled[{1, 1}]]}, 
   {Hue[0.75, 0.8, 0.8], CircleBox[{0, -1.}, 0.21213203435596426], 
    CircleBox[{0, -1.}, 0.1414213562373095], InsetBox[
     SubscriptBox["\[Sigma]", "3"], {0, -1.}], 
    PolygonBox[{{0.7382987612727496, -0.08802868813158016}, {
     0.8162882692912616, -0.10606601717798207`}, {
     0.7616727301114026, -0.16458824782746273`}}], 
    CircleBox[{1.0762476558977185, -1.0762476558977183}, 1.004405941237764, {
     1.8325957145940461`, 2.8797932657906435`}], 
    InsetBox["\<\"b\"\>", {0.3660254037844387, -0.3660254037844384}, 
     ImageScaled[{1, 1}]], 
    PolygonBox[{{-0.9119881492573625, -0.26171242394603667`}, \
{-0.8939523545253881, -0.1837223363918798}, {-0.8354288548261029, \
-0.2383368365842895}}], 
    CircleBox[{0.07622928525500816, 0.07625826341797694}, 
     1.0044114328523306, {3.40341244150172, 4.450609992698317}], 
    InsetBox["\<\"a\"\>", {-0.6339823611751302, -0.6339823603986731}, 
     ImageScaled[{1, 1}]]}, 
   {RGBColor[0, 0, 0], 
    LineBox[{{-1., 0.4242640687119285}, {-1., 0.21213203435596426`}}], 
    PolygonBox[{{-1., 0.21213203435596426`}, {-1.0707106781186548`, 
     0.31819805153394637`}, {-0.9292893218813453, 0.31819805153394637`}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{
  3.819971936487461*^9, 3.819973669730904*^9, {3.819974015726595*^9, 
   3.8199740454948845`*^9}, 3.819974698250349*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"234d04d5-664d-4b68-a35e-ac3cd95dfe32"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-4.714285714285779, Automatic}, {
  Automatic, -4.714285714285714}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.2 para Microsoft Windows (64-bit) (December 12, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"de8ca075-9ac4-4ae7-8f24-1cf59750fc8d"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 200, 3, 42, "Input",ExpressionUUID->"c6148f89-fa13-4af9-aa4e-e998e47b1efa"],
Cell[CellGroupData[{
Cell[783, 27, 2286, 60, 180, "Input",ExpressionUUID->"a93177fa-42c1-4d67-a447-f9877b22ddd2"],
Cell[3072, 89, 270, 4, 48, "Output",ExpressionUUID->"ccc0197f-0370-4133-b98b-185dfbb46951"],
Cell[3345, 95, 4056, 73, 562, "Output",ExpressionUUID->"5d700215-1c31-4198-b6e3-87fa85fbde9f"],
Cell[7404, 170, 4219, 77, 578, "Output",ExpressionUUID->"234d04d5-664d-4b68-a35e-ac3cd95dfe32"]
}, Open  ]]
}
]
*)

